## justbackoff 0.6.0

=== Makefile ===
.PHONY: help build clean update test lint

VENV_NAME?=venv
VENV_ACTIVATE=. $(VENV_NAME)/bin/activate
PYTHON=${VENV_NAME}/bin/python3

.DEFAULT: help
help:
	@echo "make build"
	@echo "       prepare development environment, use only once"
	@echo "make clean"
	@echo "       delete development environment"
	@echo "make update"
	@echo "       update dependencies"
	@echo "make test"
	@echo "       run tests"
	@echo "make lint"
	@echo "       run black"

build:
	make venv

venv: $(VENV_NAME)/bin/activate
$(VENV_NAME)/bin/activate:
	test -d $(VENV_NAME) || virtualenv -p python3 $(VENV_NAME)
	${PYTHON} -m pip install -U pip
	${PYTHON} -m pip install -r dev_requirements.txt
	$(VENV_NAME)/bin/pre-commit install
	touch $(VENV_NAME)/bin/activate

clean:
	rm -rf venv

update:
	${PYTHON} -m pip install -r dev_requirements.txt

test: venv
	${PYTHON} -m pytest

lint: venv
	$(VENV_NAME)/bin/black -t py37 --exclude $(VENV_NAME) .

=== debian/changelog ===
justbackoff (0.6.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Thu, 10 Oct 2024 11:15:37 +0100

justbackoff (0.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1084079)

 -- Edward Betts <edward@4angle.com>  Fri, 04 Oct 2024 18:02:13 +0100

=== debian/control ===
Source: justbackoff
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/admiralobvious/justbackoff
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/justbackoff
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/justbackoff.git

Package: python3-justbackoff
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Simple backoff algorithm
 This library provides a practical implementation of a backoff algorithm. It
 operates by initiating with a minimum delay which is subsequently multiplied
 by a factor upon each invocation of 'duration()'. The delay is capped at a
 specified maximum threshold. Users can reset the delay to its initial state by
 invoking the 'reset()' method. Optionally, 'jitter' can be introduced to
 introduce randomness into the delay duration, enhancing resilience against
 concurrent retry storms in distributed systems by randomly staggering retry
 attempts. This characteristic is particularly useful when establishing
 connections, providing a structured approach to handling retries. The backoff
 library can be applied in various scenarios such as network communication
 attempts, where it communicates with entities like sockets or other network
 services.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=justbackoff
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf justbackoff.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/justbackoff-$1\.tar\.gz/ \
  https://github.com/admiralobvious/justbackoff/tags .*/v?(\d\S+)\.tar\.gz
